TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.ConsumerInfo.Details Class Reference

Provides additional information about consumer. More...

## Public Member Functions
String | GetRouteName ()
| Returns queue owner's server name if this consumer's destination is a routed queue. Returns `null` for topic consumers and for queue consumers receiving messages from queues local to the server. More...
int | GetDestinationPrefetch ()
| Returns destination prefetch value. This returns actual destination prefetch value used by the server at run time. Return value is a positive prefetch value or DestinationInfo.PREFETCH_NONE which is available for queues. More...
int | GetPrefetchDelivered ()
| Returns number of prefetch messages delivered to consumer by the server. This value should be ignored for consumers on no-prefetch queues. For consumers receiving messages on any destination with positive prefetch value, this value is never more than the prefetch value of the destination. While normally this value cannot be used to identify the status of the consumer, it can be used in conjunction with other consumer information values to identify consumers who stopped receiving messages due to application-specific problems. More...
long | GetCurrentMsgCountSentByServer ()
| Returns number of messages sent to consumer and not yet acknowledged by consumer's session. For topic consumers this number is included into the number of pending messages returned by GetPendingMessageCount. More...
long | GetCurrentMsgSizeSentByServer ()
| Returns combined size of messages sent to consumer and not yet acknowledged by consumer's session. For topic consumers this size is included into the combined size of pending messages returned by GetPendingMessageSize. More...
long | GetElapsedSinceLastSent ()
| Returns number of milliseconds elapsed since last time the server sent a message to this consumer. This value, while returned in milliseconds, has a precision of 1 second. It should be used for informational purposes only. More...
long | GetElapsedSinceLastAcknowledged ()
| Returns number of milliseconds elapsed since last time a message sent to this consumer was acknowledged by consumer's session. This value, while returned in milliseconds, has a precision of 1 second. This value should be used for informational purposes only. It can be used, for example, to identify consumers which receive messages but do not acknowledge them for some reason, etc. More...
long | GetTotalMsgCountSentByServer ()
| Returns total number of messages the server sent to this consumer since consumer was created. This value includes resends of the same message due to consumer's session recover or rollback. This value does not represent true number of unique messages received by this consumer and should be used only for statistical and informational purposes. More...
long | GetTotalAcknowledgedCount ()
| Returns total number of messages which were delivered to this consumer and have been acknowledged by consumer's session. This value should be used for informational purposes only. More...
int | GetSessionAcknowledgeMode ()
| Returns consumer's session acknowledge mode as a constant defined in Admin. More...
override string | ToString ()
| Returns string representation of this object. More...

## Properties
bool | System`[get]`
| Returns `true` if this consumer has been created automatically by the system. If this method returns `false`, this consumer has been created by user application. If this method returns `true` this consumer has been created automatically by the system. There are several types of consumers the system may create automatically. More...
bool | Active`[get]`
| Returns `true` if this consumer is active. Active consumers are consumers to which the server can send messages to. Only queue consumers which never called `Receive()` remain in inactive state. Queue consumers which called `Receive()` at least once or are configured with the message callback, and all topic consumers are always active. This method can identify inactive queue consumers which never called `Receive()` and, while present, never receive any messages from the server even in presence of pending messages in corresponding queue. More...

## Detailed Description

Provides additional information about consumer.

## Member Function Documentation

long TIBCO.EMS.ADMIN.ConsumerInfo.Details.GetCurrentMsgCountSentByServer | ( |  | ) |
| inline

Returns number of messages sent to consumer and not yet acknowledged by consumer's session. For topic consumers this number is included into the number of pending messages returned by GetPendingMessageCount.

Returns
  number of sent messages, possibly 0.

long TIBCO.EMS.ADMIN.ConsumerInfo.Details.GetCurrentMsgSizeSentByServer | ( |  | ) |
| inline

Returns combined size of messages sent to consumer and not yet acknowledged by consumer's session. For topic consumers this size is included into the combined size of pending messages returned by GetPendingMessageSize.

Returns
  combined size of sent messages, possibly 0.

int TIBCO.EMS.ADMIN.ConsumerInfo.Details.GetDestinationPrefetch | ( |  | ) |
| inline

Returns destination prefetch value. This returns actual destination prefetch value used by the server at run time. Return value is a positive prefetch value or DestinationInfo.PREFETCH_NONE which is available for queues.

Returns
  destination prefetch value as positive value or DestinationInfo.PREFETCH_NONE for queues configured as no-prefetch queue.

long TIBCO.EMS.ADMIN.ConsumerInfo.Details.GetElapsedSinceLastAcknowledged | ( |  | ) |
| inline

Returns number of milliseconds elapsed since last time a message sent to this consumer was acknowledged by consumer's session. This value, while returned in milliseconds, has a precision of 1 second. This value should be used for informational purposes only. It can be used, for example, to identify consumers which receive messages but do not acknowledge them for some reason, etc.

Returns
  approximate number of milliseconds elapsed since last time a message delivered to this consumer has been acknowledged by consumer's session.

long TIBCO.EMS.ADMIN.ConsumerInfo.Details.GetElapsedSinceLastSent | ( |  | ) |
| inline

Returns number of milliseconds elapsed since last time the server sent a message to this consumer. This value, while returned in milliseconds, has a precision of 1 second. It should be used for informational purposes only.

Returns
  approximate number of milliseconds elapsed since last time the server sent a message to this consumer.

int TIBCO.EMS.ADMIN.ConsumerInfo.Details.GetPrefetchDelivered | ( |  | ) |
| inline

Returns number of prefetch messages delivered to consumer by the server. This value should be ignored for consumers on no-prefetch queues. For consumers receiving messages on any destination with positive prefetch value, this value is never more than the prefetch value of the destination. While normally this value cannot be used to identify the status of the consumer, it can be used in conjunction with other consumer information values to identify consumers who stopped receiving messages due to application-specific problems.

Returns
  number of messages delivered to consumer within prefetch window.

String TIBCO.EMS.ADMIN.ConsumerInfo.Details.GetRouteName | ( |  | ) |
| inline

Returns queue owner's server name if this consumer's destination is a routed queue. Returns `null` for topic consumers and for queue consumers receiving messages from queues local to the server.

Returns
  queue owner server name or `null`

int TIBCO.EMS.ADMIN.ConsumerInfo.Details.GetSessionAcknowledgeMode | ( |  | ) |
| inline

Returns consumer's session acknowledge mode as a constant defined in Admin.

This method returns consumer's session acknowledge mode as a value defined in the Admin class.

Returned value is

- Admin.SESSION_UNKNOWN_ACKNOWLEDGE if consumer is currently not connected (for durable topic subscribers)
- Admin.SESSION_XA if consumer's session is XA session
- Admin.SESSION_TRANSACTED if consumer's session is transacted
- or one of values
  - Admin.SESSION_NO_ACKNOWLEDGE,
  - Admin.SESSION_AUTO_ACKNOWLEDGE,
  - Admin.SESSION_DUPS_OK_ACKNOWLEDGE,
  - Admin.SESSION_CLIENT_ACKNOWLEDGE.

Returns
  consumer's session acknowledge mode

long TIBCO.EMS.ADMIN.ConsumerInfo.Details.GetTotalAcknowledgedCount | ( |  | ) |
| inline

Returns total number of messages which were delivered to this consumer and have been acknowledged by consumer's session. This value should be used for informational purposes only.

Returns
  total number of acknowledged messages which were received via this consumer.

long TIBCO.EMS.ADMIN.ConsumerInfo.Details.GetTotalMsgCountSentByServer | ( |  | ) |
| inline

Returns total number of messages the server sent to this consumer since consumer was created. This value includes resends of the same message due to consumer's session recover or rollback. This value does not represent true number of unique messages received by this consumer and should be used only for statistical and informational purposes.

Returns
  number of messages sent by server to this consumer since consumer was created, including resends.

override string TIBCO.EMS.ADMIN.ConsumerInfo.Details.ToString | ( |  | ) |
| inline

Returns string representation of this object.

## Property Documentation

bool TIBCO.EMS.ADMIN.ConsumerInfo.Details.Active
| get

Returns `true` if this consumer is active. Active consumers are consumers to which the server can send messages to. Only queue consumers which never called `Receive()` remain in inactive state. Queue consumers which called `Receive()` at least once or are configured with the message callback, and all topic consumers are always active. This method can identify inactive queue consumers which never called `Receive()` and, while present, never receive any messages from the server even in presence of pending messages in corresponding queue.

Returns
  `false` if this is a queue consumer which is not configured with the message callback and never called Receive(). Returns `true` in all other cases.

bool TIBCO.EMS.ADMIN.ConsumerInfo.Details.System
| get

Returns `true` if this consumer has been created automatically by the system. If this method returns `false`, this consumer has been created by user application. If this method returns `true` this consumer has been created automatically by the system. There are several types of consumers the system may create automatically.

Returns
  `true` if this consumer has been created by EMS server and not by application.